<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8A83C4DC-A0B1-4A51-AE1D-366D7A05B298}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>ChatController</RootNamespace>
    <AssemblyName>ChatController</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>ownchat_favicon.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\libs\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="RestSharp, Version=105.2.3.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\PrototypChat\packages\RestSharp.105.2.3\lib\net45\RestSharp.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ChatEmojiiControl.xaml.cs">
      <DependentUpon>ChatEmojiiControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="ChatKlassen\ChatControlExtensions.cs" />
    <Compile Include="ChatKlassen\Contact.cs" />
    <Compile Include="ChatKlassen\ChatMessage.cs" />
    <Compile Include="ChatKlassen\MessageCounter.cs" />
    <Compile Include="ChatMainControl.xaml.cs">
      <DependentUpon>ChatMainControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="Converter\BoolToVisibilityConverter.cs" />
    <Compile Include="Converter\StringEmptyToVisibilityConverter.cs" />
    <Compile Include="Converter\StringToBoolConverter.cs" />
    <Compile Include="Converter\UserProfilePictureVisibilityConverter.cs" />
    <Compile Include="Core\BindableTextBlock.cs" />
    <Compile Include="Core\FlowDocumentExtensions.cs" />
    <Compile Include="Core\OwnChatCache.cs" />
    <Compile Include="Core\OwnChatRichTextBox.cs" />
    <Compile Include="Data\LookupResult.cs" />
    <Compile Include="Data\OwnChatApi.cs" />
    <Compile Include="Extensions\IDictionaryTExtensions.cs" />
    <Compile Include="Extensions\IListTExtensions.cs" />
    <Compile Include="HauptKlassen\Chat.cs" />
    <Compile Include="HauptKlassen\ChatEmoji.cs" />
    <Compile Include="LoginControl.xaml.cs">
      <DependentUpon>LoginControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="LoginKlassen\AuthenticationData.cs" />
    <Compile Include="LoginKlassen\ChatDatenUebergabe.cs" />
    <Compile Include="LoginKlassen\ChatGruppenDaten.cs" />
    <Compile Include="HauptKlassen\Login.cs" />
    <Compile Include="LoginKlassen\UserDaten.cs" />
    <Compile Include="LoginKlassen\UserMessages.cs" />
    <Compile Include="Properties\Annotations1.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ChatControlWaitLayer.xaml.cs">
      <DependentUpon>ChatControlWaitLayer.xaml</DependentUpon>
    </Compile>
    <Compile Include="Resource.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resource.resx</DependentUpon>
    </Compile>
    <Compile Include="Utilities\Constants.cs" />
    <Compile Include="Utilities\Extensions\ControlExtensions.cs" />
    <Compile Include="Utilities\Extensions\DateTimeExtensions.cs" />
    <Compile Include="Utilities\FileUtils.cs" />
    <Compile Include="Utilities\OwnChatEnums.cs" />
    <Compile Include="Utilities\SyncFileInfoStruct.cs" />
    <Compile Include="Utilities\Utils.cs" />
    <Compile Include="Utilities\WpfUtils.cs" />
  </ItemGroup>
  <ItemGroup>
    <Page Include="ChatEmojiiControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ChatMainControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="LoginControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ChatControlWaitLayer.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Ressourcen\BeyondsoftChat.jpg" />
    <Resource Include="Ressourcen\ClipboardDisabled.png" />
    <Resource Include="Ressourcen\glucklicher.png" />
    <Resource Include="Ressourcen\mitarbeiter-avatar.png" />
    <Resource Include="Ressourcen\mitarbeiter-team-avatar.png" />
    <Resource Include="Ressourcen\paperclip.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Ressourcen\paperclip2.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Ressourcen\SymbolRefresh32.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Ressourcen\ownChat-Background.png" />
    <Resource Include="Ressourcen\ownchat_favicon.png" />
    <Resource Include="Ressourcen\ownchat_icon.png" />
    <Resource Include="Ressourcen\ownchat_logo.png" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="ownchat_favicon.ico" />
    <Resource Include="Ressourcen\ownchat_image_placeholder.png" />
    <Resource Include="Ressourcen\warning-exclamation-mark.png" />
    <None Include="packages.config" />
    <None Include="Resources\oC-favico_NewMessage.ico" />
    <Content Include="Resources\ownchat_favicon.ico" />
    <Resource Include="Ressourcen\ownchat_favicon.ico" />
    <Resource Include="Ressourcen\client_default.png" />
    <Resource Include="Ressourcen\employee_default.png" />
    <Resource Include="Ressourcen\team_default.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Resource.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Resource.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>